Bug 1055039 - (Horde_Pack) Review Request: php-horde-Horde-Pack - Horde Pack Utility
Review Request: php-horde-Horde-Pack - Horde Pack Utility
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-18 02:42 EST by Remi Collet
Modified: 2014-02-11 14:12 EST (History)
2 users (show)

See Also:
Fixed In Version: php-horde-Horde-Pack-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (11.29 KB, text/x-log)
2014-01-21 00:40 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.31 KB, text/plain)
2014-01-21 00:40 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-01-18 02:42:20 EST
Spec URL: https://raw2.github.com/remicollet/remirepo/7b037ef5cfd22324294b35221bb2b03cde8b9688/php/horde/php-horde-Horde-Pack/php-horde-Horde-Pack.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Pack-1.0.0-1.remi.src.rpm
Description: 
A replacement for serialize()/json_encode() that will automatically use the
most efficient serialization available based on the input.

The serialization extensions you may want to install are:
- php-json
- php-pecl-igbinary
- php-pecl-msgpack

Fedora Account System Username: remi


Notice, I don't target EL-5 but will clean the EL-5 stuff (buildroot, ...) after import, as usually.

I keep Camel case in the package name, as the >80  already approved packages in the horde stack already use it.
And I obviously don't plan a mass rename ;)
Comment 1 Remi Collet 2014-01-18 02:43:01 EST
This is a new dependency of Horde_Imap_Client.
Comment 2 Shawn Iwinski 2014-01-21 00:40:15 EST
Created attachment 852963 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 3 Shawn Iwinski 2014-01-21 00:40:46 EST
Created attachment 852964 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1055039
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Shawn Iwinski 2014-01-21 00:41:20 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Remove EPEL 5 bits after initial import.


No blockers.


===== APPROVED =====
Comment 5 Remi Collet 2014-01-21 01:05:21 EST
New Package SCM Request
=======================
Package Name: php-horde-Horde-Pack
Short Description: Horde Pack Utility
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2014-01-21 09:10:10 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-01-21 11:49:46 EST
php-horde-Horde-Pack-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Pack-1.0.0-1.fc20
Comment 8 Fedora Update System 2014-01-21 11:49:59 EST
php-horde-Horde-Pack-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Pack-1.0.0-1.el6
Comment 9 Fedora Update System 2014-01-30 23:22:58 EST
php-horde-Horde-Pack-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2014-02-11 14:12:22 EST
php-horde-Horde-Pack-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.